%define		kver	2.6.15-8

Distribution:	CCux
Packager:  	Stefan Gottwald <gotti@ccux-linux.de>

Summary:   	This is a filesystem client based on the SSH File Transfer Protocol.
Name:      	sshfs-fuse
Version:   	1.4
Release:   	1
License: 	GNU/GPL
URL:		http://fuse.sourceforge.net/sshfs.html
Group:     	System/Configuration/Hardware
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	kernel-devel = %kver
BuildRequires:	fuse-userspace-devel
BuildRequires:	glib-devel
BuildRequires:	pkg-config

%description
This is a filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy
to set up: i.e. on the server side there's nothing to do.  On the
client side mounting the filesystem is as easy as logging into the
server with ssh.

The idea of sshfs was taken from the SSHFS filesystem distributed with
LUFS, which I found very useful.  There were some limitations of that
codebase, so I rewrote it.  Features of this implementation are:

  - Based on FUSE (the best userspace filesystem framework for Linux ;)
  - Multithreading: more than one request can be on it's way to the
    server
  - Allowing large reads (max 64k)
  - Caching directory contents
  - Reconnect on failure

%prep
%setup -n %{name}-%{version}


%build
./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir/sshfs

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.4-1
- Initial Release
